Skip to navigation
User ManagementList user accounts

List user accounts

Retrieves the collection of user accounts, filtered, sorted and paged accourding to query parameters.

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the /api/v1/authenticate POST request.

Query parameters

pagedoubleOptional
Current page number
qstringOptionalformat: "(id|status|name|username|organisation):.+"

Filter parameter in <filter>:<value> format. Multiple filters must be in the format of a comma separated list of the following fields:

  • id
  • status
  • name
  • username
  • organisation
per_pageintegerOptional
Defines the number of items per page
sortstringOptionalformat: "-?(id|status|name|username|organisation|created),?"

Sort parameter in <operator><field> format. Expects a comma-separated list from the allowed fields:

  • id
  • status
  • name
  • username
  • organisation
  • created

Response headers

X-Count-Per-PageintegerOptional

The requested per_page parameter

X-Current-PageintegerOptional
The current page number within the current data set
X-Total-CountintegerOptional
The total element count in the current data set
X-Total-PagesintegerOptional
The total page count in the current data set
X-FilterstringOptional

If filtering is applied using ?q=field:criteria URL query parameters, the filter criteria is returned here

X-SortstringOptional

If sorting is applied using ?sort=sort_criteria URL query parameters, the sort criteria is returned here

Response

Successfully returned a list of Users
idintegerOptional
usernamestringOptional
namestringOptional
createdstringOptional
statusobjectOptional
organisationobjectOptional

Errors

403
Forbidden Error